import { http } from "@/utils/http";
/**
 * 快速理赔申请
 */
export const quickclaimSubmit = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/quickclaims/submit`,
    data,
  });
};

//理赔提现
export const quickclaimsWithdraw = (data: string) => {
  return http({
    method: "POST",
    url: `/customer/quickclaims/withdraw/${data}`,
  });
};

//上传记录
export const quickclaimsList = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/quickclaims/list?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    data,
  });
};
//理赔记录
export const auditSuccessList = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/quickclaims/auditSuccessList?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    data,
  });
};

//理赔详情
export const quickclaimsDetail = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/quickclaims/detail`,
    data,
  });
};
//理赔提现
export const claimPayment = (data: any) => {
  return http({
    method: "POST",
    url: `/customer/quickclaims/withdraw/${data}`,
    data,
  });
};

//获取品牌id
export const getBrand = (data: any) => {
  return http({
    method: "GET",
    url: `/miniApp/getBrand/${data}`,
  });
};
